#ifndef RCL_TGA_E_HPP
#define RCL_TGA_E_HPP

#include "DF3Exceptions.hpp"
#include <string>
namespace tga {

    class TGAError : public Exceptions::DF3Exceptions {
    public:
	TGAError() {}
	virtual ~TGAError();
	virtual void debug() const;
    };
    
    class TypeError : public TGAError {
    public:
	TypeError(int typecode)
	    : type(typecode) {}
	void debug() const;
    private:
	int type;
    };

    class IOError : public TGAError {
    public:
	IOError(std::string filename) {this->file = filename;}
	virtual ~IOError() {}
	void debug() const;
    private:
	std::string file;
    };
    
}


#endif
